POST
/
v2
/
automation
/
profiles
/
{id}
/
items
Add profile item
curl --request POST \
  --url https://coreapi-dev.us.bcpapers.ca/v2/automation/profiles/{id}/items \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "item_type": "<string>",
  "params": [
    123
  ]
}
'
{
  "created_at": "<string>",
  "id": "<string>",
  "item_type": "<string>",
  "params": [
    123
  ],
  "profile_id": "<string>"
}

Authorizations

Authorization
string
header
required

Paste the JWT token only (no "Bearer " prefix needed — the UI adds it automatically).

Path Parameters

id
string
required

Profile ID

Body

application/json

Item definition

item_type
string
params
integer[]

Response

201 - application/json

Created

created_at
string
id
string
item_type
string
params
integer[]
profile_id
string